'''Rendering contexts for various GUI libraries, scene graph
geometry objects, and PyOpenGL testing code

The OpenGLContext project provides a simplified environment
for writing OpenGL code with PyOpenGL.  This simplified
environment abstracts the GUI library interfaces for a
large number of GUI libraries to allow the easy creation of
cross platform and cross-GUI-OpenGL programs.

The project also provides simplified geometry display
primitives to allow new developers to concentrate on the
particular task in which they are interested rather than
forcing them to re-implement basic geometry display
mechanisms.

Taking advantage of this simplified environment, we have
provided a number of testing modules.  These testing
modules should operate under any of the fully functional
GUI contexts (note that there are unfinished contexts).
'''

__version__ = "2.0.0"
__author__ = "Michael Colin Fletcher"
__license__ = "BSD-Style, see license.txt for details and exceptions"

